import http from './http.js'
const request=http.request
/**
 * 用户详情
 * @returns
 */
export function tbShopInfo(shopId) {
	const _shopId=uni.getStorageSync('shopId')
    return request({
        url: `/account/admin/shopUser/detail?id=${shopId||_shopId}`,
        method: 'get'
    })
}

/**
 * 修改店铺信息
 * @returns
 */
export function tbShopInfoPut(data) {
    return request({
        url: `/api/tbShopInfo`,
        method: 'put',
        data
    })
}

// 获取店铺商品信息
export function getShopInfo(data) {
    return request({
        url: `/account/admin/shopInfo/detail`,
        method: 'get',
        data
    })
}
// 获取布局
export function getLayout(data) {
    return request({
        url: `/account/admin/padProd/layout`,
        method: 'get',
        data
    })
}